Bug 1018020 - includes_fields seem to be being ignored
includes_fields seem to be being ignored
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.4
Unspecified Unspecified
urgent Severity urgent (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 22:33 EDT by Dana Mison
Modified: 2014-10-12 18:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.4.1010
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 18:32:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 7 Simon Green 2013-10-14 19:36:37 EDT
Using the XML-RPC interface to perform a search with the savedsearch and include_fields parameters.

Expect:

each bug returned with the fields specified in the include_fields parameter

Actual:

include_fields is ignored, and a set of fields is returned that does not contain those specified in include_fields

A temporary workaround is calling Bug.search for a second time with the params ids and the *_field values, as this issue only occurs with saved searches and quick searches.
Comment 8 Simon Green 2013-11-03 18:32:51 EST
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.